package ru.dima.weather.city;

import org.junit.jupiter.api.Test;
import ru.dima.weather.cli.CLIInputReader;

import java.util.ArrayList;
import java.util.List;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.mockito.Mockito.mock;
import static org.mockito.Mockito.when;

public class IpProviderCLISelectorTest {
    @Test
    void testSelectIpProviderFromCLI(){
        CLIInputReader cliInputReader = new CLIInputReader(System.in);
        when(cliInputReader.readInteger()).thenReturn(1);

        IpProvider ipProvider1 = mock();
        when(ipProvider1.getName()).thenReturn("ubuy");

        List<IpProvider> ipProviders = new ArrayList<>();
        ipProviders.add(ipProvider1);

        IpProviderCLISelector ipProviderCLISelector = new IpProviderCLISelector(cliInputReader, ipProviders);
        assertEquals("ubuy", ipProviderCLISelector.selectIpProviderFromCLI());
    }
}
